flint (3.6.0-1) unstable; urgency=medium

  * Upload to unstable for libflint23 -> libflint24 transition.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 14 Jul 2026 09:35:36 -0400

flint (3.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental ahead of transition.
  * Rename libflint23 -> libflint24 for soversion bump.
  * debian/control
    - Drop versioned dependency on dpkg-dev 1.22.5; this was only necessary
      when we had a t64-suffixed library package for the t64 transition, but
      there have since been soversion bumps removing this suffix.
  * debian/patches
    - Remove patches applied upstream:
      + sprintf.patch
      + randtest.patch
      + gr-write-return-values.patch

 -- Doug Torrance <dtorrance@debian.org>  Tue, 30 Jun 2026 11:15:21 -0400

flint (3.5.0-2) unstable; urgency=medium

  * debian/patches/randtest.patch
    - Skip gr_poly_log_series test in noncommutative case.  This commit was
      part of the same pull request as the rest of the patch, and should
      have been included but was missed.  Fixes builds on 32-bit systems.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 08 May 2026 20:03:19 -0400

flint (3.5.0-1) unstable; urgency=medium

  * Upload to unstable for libflint22 -> libflint23 transition.
  * debian/patches
    - Add three patches fixing test failures on various architectures.
      + gr-write-return-values.patch (ppc64el)
      + randtest.patch (armhf/i386)
      + sprintf.patch (armhf/i386)

 -- Doug Torrance <dtorrance@debian.org>  Fri, 08 May 2026 07:28:57 -0400

flint (3.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libflint22 -> libflint23 for soversion bump.
  * debian/copyright
    - Update my copyright years.
    - Add missing authors.
    - Update license information.  Most files are now LGPL-3+.
  * debian/control
    - Bump Standards-Version to 4.7.4.
    - Drop versioned dependency on libntl-dev; old dependency was 9.9.1,
      but 11.4.3 is now in oldoldstable.
  * debian/patches/builtin-overflow.patch
    - Refresh for new upstream release.
  * debian/rules
    - Drop "-fno-strict-aliasing" flag; no longer necessary.
    - Stop removing static library; it isn't even built.
    - Don't install config.h; fixes package-name-defined-in-config-h
      lintian warning.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 25 Apr 2026 05:48:31 -0400

flint (3.4.0-1) unstable; urgency=medium

  * Source-only upload for transition to testing.
  * Upload to unstable.  (The previous version was supposed to go to
    experimental but ended up in unstable for some reason.)

 -- Doug Torrance <dtorrance@debian.org>  Wed, 26 Nov 2025 23:30:38 -0500

flint (3.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libflint21 -> libflint22 for soversion bump
  * Upload to experimental ahead of soversion bump transition.
  * debian/control
    - Drop redundant Rules-Requires-Root field.
  * debian/patches/builtin-overflow.patch
    - Update bug url.
  * debian/patches/verbose-build.patch
    - Remove patch; applied upstream

 -- Doug Torrance <dtorrance@debian.org>  Wed, 26 Nov 2025 05:33:24 -0500

flint (3.3.1-2) unstable; urgency=medium

  * debian/rules
    - Build with -fno-strict-aliasing to fix FTBFS when compiling with
      GCC 15 (Closes: #1114011).
  * debian/salsa-ci.yml
    - New file; disable reprotest for now.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 05 Sep 2025 07:29:07 -0400

flint (3.3.1-1) unstable; urgency=medium

  * Upload to unstable for libflint19 -> libflint21 transition.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel

  [ John Scott ]
  * Update the DEP-8 test for clarity and to use newly-introduced
    functionality.

  [ Doug Torrance ]
  * debian/control
    - Add myself to Uploaders
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Add my copyright info to debian/* stanza.
  * debian/patches/builtin-overflow.patch
    - Restore patch as a workaround for another "not enough registers"
      compilation error on armhf that was introduced in the new release.
  * debian/patches/verbose-builds.patch
    - New patch; allow verbose builds with V make variable.
  * debian/rules
    - Update MAKE_OVERRIDE variable whose value is passed to make; include
      new V variable for verbose builds and remove old now-unused variables.
  * debian/tests/control
    - Drop strict aliasing when compiling test program; not an issue after
      the update.
  * debian/tests/matrix-bernoulli.c
    - Add header for rational vectors
  * debian/watch
    - Update url.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 03 Sep 2025 09:56:05 -0400

flint (3.3.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes GCC 15 build issues (Closes: #1096641, #1107362).
  * Upload to experimental for soversion bump transition.
  * Rename libflint19 -> libflint21 for soversion bump.
  * debian/control
    - Drop Breaks/Replaces for libflint18t64; no longer necessary.
  * debian/copyright
    - Replace old postal FSF address with url.
  * debian/libflint-doc.*
    - Update name of pdf documentation file.
  * debian/patches/builtin-overflow.patch
    - Remove patch; issue fixed upstream.
  * debian/patches/local-mathjax.patch
    - Refresh for new release.
  * debian/tests/control
    - Compile test program with strict aliasing as workaround for upstream
      bug.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 27 Aug 2025 12:22:44 -0400

flint (3.1.3-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/builtin-overflow.patch
    - New patch; use integer overflow builtins on armhf (Closes: #1091291).

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Jan 2025 08:31:12 -0500

flint (3.1.3-1) unstable; urgency=medium

  * Drop unneeded stanza from debian/copyright.
  * Bump standards-version to 4.7.0.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 09 Jun 2024 15:52:16 +0200

flint (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 02 Apr 2024 16:19:18 -0400

flint (3.1.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control
    - Rename libflint18t64 -> libflint19 (Closes: #1067226).
    - Add Breaks/Replaces for libflint18t64, but only for version 3.1.0 or
      greater, where soversion 19 first appeared.
  * debian/libflint19.install
    - Rename from libflint18t64.install
  * debian/libflint18t64.lintian-overrides
    - Remove file; no longer necessary now that the package name matches
      the soname.
  * debian/libflint18t64.shlibs
    - Remove file; generated automatically by debhelper.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 26 Mar 2024 13:30:18 -0400

flint (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 15 Mar 2024 12:15:07 +0100

flint (3.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064626

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 08:46:24 +0000

flint (3.0.1-3) unstable; urgency=medium

  * Fix multi-arch support.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 04 Feb 2024 16:08:09 +0100

flint (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/matrix-bernoulli.c
    - Add missing headers (Closes: #1058580).

 -- Doug Torrance <dtorrance@debian.org>  Wed, 10 Jan 2024 00:49:55 -0500

flint (3.0.1-1) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * New upstream release (Closes: #1019969).
  * Refresh patches.
  * Ship flint.pc.
  * Fix build target (Closes: #1044581).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 09 Dec 2023 16:10:56 +0100

flint (2.9.0-5) unstable; urgency=medium

  * Add patch to fix a floating-point exception (Closes: #1016296).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Sep 2022 13:46:29 +0200

flint (2.9.0-4) unstable; urgency=medium

  * Fix multiarch (Closes: #1014919).
  * Add patch to remove rpath linking switch.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Jul 2022 20:58:01 +0200

flint (2.9.0-3) unstable; urgency=medium

  * Drop references to EXTRA_SHARED_FLAGS from d/rules (Closes: #1014917).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Jul 2022 17:08:12 +0200

flint (2.9.0-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 21:11:29 +0200

flint (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove source lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 24 Jun 2022 19:32:04 +0200

flint (2.9.0~beta1-1) experimental; urgency=medium

  * Package upstream pre-release (big changes announced).
  * Move to usual soname numbering for the library.
  * Bump standards-version to 4.6.1.
  * Adapt lintian-overrides.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 19 May 2022 14:15:13 +0200

flint (2.8.5-2) unstable; urgency=medium

  * Source-only upload to migrate to testing.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 03:55:15 +0200

flint (2.8.5-1) unstable; urgency=medium

  * Point Vcs-* fields to the math-team too.
  * New upstream release.
  * Cope with the soname change.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 May 2022 21:38:46 +0200

flint (2.8.4-2) unstable; urgency=medium

  * Source-only upload to migrate to testing.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Dec 2021 07:04:32 +0100

flint (2.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop most patches (updated).
  * Adapt to soname version.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 17 Nov 2021 21:45:55 +0100

flint (2.8.3-2) unstable; urgency=medium

  * Remove the C++ documentation more cleanly.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Nov 2021 16:51:03 +0100

flint (2.8.3-1) unstable; urgency=medium

  * Move the package to the new math team.
  * New upstream release.
  * Drop the documentation for the C++ wrapper.
  * Adapt to he new version.
  * Add lintian overrides to document some things are normal.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Nov 2021 16:43:34 +0100

flint (2.8.2-2) unstable; urgency=medium

  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 25 Oct 2021 09:58:39 +0200

flint (2.8.2-1) unstable; urgency=medium

  [ John Scott ]
  * Add a DEP-8 test exercising some functionality of FLINT.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Oct 2021 13:10:37 +0200

flint (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Add b-dep on tex-gyre for the documentation.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 02 Oct 2021 18:44:09 +0200

flint (2.8.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 31 Aug 2021 13:02:58 +0200

flint (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.6.0.
  * Rework doc installation (Closes: #990665).
  * Add unbreak_doc.patch to unbreak doc compilation.
  * Update packages versions in control file.
  * Update d/copyright.
  * Rewrite d/watch to check upstream's git repository.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 20 Aug 2021 00:19:07 +0200

flint (2.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Add a workaround for upstream bug #889 (Closes: #979465)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 Jan 2021 11:11:43 +0100

flint (2.7.0-2) experimental; urgency=medium

  * Follow soname number change.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 28 Dec 2020 09:04:51 +0100

flint (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 25 Dec 2020 22:17:17 +0100

flint (2.6.3-3) unstable; urgency=medium

  * Add patch to check for pthread_[gs]etaffinity_np api
    (FTBFS on hurd-i386).
  * Change license to LGPL-2.1+, following upstream.
  * Drop now-invalid lintian override.
  * Use symlinks to sphinx files to avoid lintian warnings.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 25 Oct 2020 09:42:13 +0100

flint (2.6.3-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 19 Aug 2020 11:28:51 +0200

flint (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Declare d/rules doesn't require root.
  * Cope with soname change.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Aug 2020 17:24:17 +0200

flint (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Cope with soname change.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 23:53:46 +0200

flint (2.6.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #964109)
  * Update team mailing list address.
  * Bump dh compat to 13.
  * Drop patch fixing hppa (upstream).
  * Cope with soname change.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Jul 2020 15:56:14 +0200

flint (2.6.0-3) unstable; urgency=medium

  * Add patch to unbreak hppa.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jul 2020 08:06:18 +0200

flint (2.6.0-2) unstable; urgency=medium

  * Add missing b-deps to fix building issues.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jun 2020 08:28:22 +0200

flint (2.6.0-1) unstable; urgency=medium

  * Better clean the html doc tree after the build.
  * Use local mathjax.
  * Use local jquery and underscore.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 05 Jun 2020 22:38:28 +0200

flint (2.6.0~rc3-1) experimental; urgency=medium

  * New upstream pre-release 2.6.0~rc3.
  * Drop all patches.
  * Simplify d/rules.
  * Build and ship the html doc.
  * Modify package name for new version.
  * Build and ship the pdf doc again.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 01 Jun 2020 13:50:45 +0200

flint (2.5.2-23) unstable; urgency=medium

  * Update bug_953437.patch, following a new
    upstream change (Closes: #961505).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 May 2020 13:47:49 +0200

flint (2.5.2-22) unstable; urgency=medium

  * Add patch fixing segfaults on mips64el (Closes: #953437).
  * Bump std-ver to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 19 May 2020 16:29:46 +0200

flint (2.5.2-21) unstable; urgency=medium

  * Drop d/compat and use dh-compat 12.
  * Bump std-ver to 4.4.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 20 Jan 2020 08:20:42 +0100

flint (2.5.2-20) unstable; urgency=medium

  * Apply Helmut Grohne's proposed changes: (Closes: #939677)
    - Mark libflint-2.5.2 Multi-Arch: same.
    - Install libraries in multiarch libdir.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 15 Sep 2019 13:14:10 +0200

flint (2.5.2-19) unstable; urgency=medium

  * Apply patch from H.Grohne to fix cross build (Closes: #912686)
  * Use my debian.org mail address.
  * Bump std-ver to 4.2.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 04 Nov 2018 00:44:41 +0100

flint (2.5.2-18) unstable; urgency=medium

  * Add patch to fix FTBFS (Closes: #896470).
  * Refresh packaging:
    - Bump std-ver to 4.1.4.
    - Bump dh compat to 11.
    - Point Vcs-* fields to salsa.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 24 Apr 2018 23:51:04 +0200

flint (2.5.2-17) unstable; urgency=medium

  * Team upload.
  * Extend asm_volatile_div.patch to i386 as flint-arb tests are failing there
    as well. Also cover signed division, for good measure. (Closes: #881236)

 -- Ximin Luo <infinity0@debian.org>  Thu, 09 Nov 2017 11:13:59 +0100

flint (2.5.2-16) unstable; urgency=medium

  * Bump standards-version to 4.1.1.
  * Bump d/watch to version 4.
  * Add override for missing autopkgtest.
  * Avoid parsing the changelog for the upstream version.
  * Ship the static version of the library. (Closes: #879597)
  * Add patch to add __volatile__ to avoid a bug.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 06 Nov 2017 10:07:20 +0100

flint (2.5.2-15) unstable; urgency=medium

  * Use -march=mips2 to avoid gcc's #852153 until it's fixed. (Closes: #852007)

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 24 Jan 2017 00:40:16 +0100

flint (2.5.2-14) unstable; urgency=medium

  * Team upload.
  * New patch undef_count_leading_zeros.patch:
    Avoid problems when using flint together with givaro. (Closes: #848899)

 -- Tobias Hansen <thansen@debian.org>  Wed, 21 Dec 2016 00:34:03 +0000

flint (2.5.2-13) unstable; urgency=medium

  * Re-enable all hardenings since it wasn't the problem.
  * Add depend on gcc-5&g++-5 and use it for mips and mipsel.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 17 Nov 2016 19:43:56 +0100

flint (2.5.2-12) unstable; urgency=medium

  * Team upload.
  * Disable -fPIE on mips and mipsel to fix FTBFS.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Nov 2016 16:21:37 +0000

flint (2.5.2-11) unstable; urgency=medium

  * Added missing dep from -dev on libmpfr-dev.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 09 Nov 2016 09:06:38 +0100

flint (2.5.2-10) unstable; urgency=medium

  * Added a patch by Logan Rosen to fix a FTBFS issue. (Closes: #837453)
  * Applied the suggestion of the Multi-Arch hinter.
  * Pushed dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 28 Oct 2016 12:06:34 +0200

flint (2.5.2-9) unstable; urgency=medium

  * Added a patch from Dejan Latinovic to fix a MIPS issue. (Closes: #836304)

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 01 Sep 2016 20:56:14 +0200

flint (2.5.2-8) unstable; urgency=medium

  * Team upload.

  [ James Clarke ]
  * Reintroduce -ansi for i386 to fix testsuite hang.  Closes: #830744

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 15 Jul 2016 12:46:34 +0000

flint (2.5.2-7) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Add patch to fix compilation on hurd.

  [ Julien Puydt ]
  * Remove -ansi flag from compilation line to fix compilation on MIPS.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 08 Jul 2016 07:38:35 +0000

flint (2.5.2-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against NTL 9.9.1.

 -- Ximin Luo <infinity0@debian.org>  Thu, 07 Jul 2016 22:05:33 +0200

flint (2.5.2-5) unstable; urgency=medium

  * Upload to unstable (Closes: #823462).
  * Bump standards-version up.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 13 May 2016 09:23:33 +0200

flint (2.5.2-4) experimental; urgency=medium

  * Added a patch for latex manual compilation.
  * Pushed standards-version up.
  * Use secure uri for vcs fields.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 09 Apr 2016 16:20:22 +0200

flint (2.5.2-3) unstable; urgency=medium

  * Upload to unstable for the transition.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 18 Sep 2015 13:28:31 +0200

flint (2.5.2-2) experimental; urgency=medium

  * Force the "-ansi" flag so i386 arches don't break.
  * Add the library package to the libs section.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 07 Sep 2015 10:13:41 +0200

flint (2.5.2-1) experimental; urgency=medium

  * Update to latest upstream.
  * Remove all previous patches as they are unneeded.
  * Updated debian/copyright.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 13 Aug 2015 22:34:17 +0200

flint (2.4.5-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 16 May 2015 21:18:20 +0200

flint (2.4.5-3) experimental; urgency=medium

  * Declare we break 2.4.4 since the previous fix was
    incomplete -- next upstream solves it better (Closes: #779584).

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 09 Apr 2015 17:57:33 +0200

flint (2.4.5-2) experimental; urgency=medium

  * Declare we replace 2.4.4 to make transition from sid
    painless (Closes #779584).

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 03 Mar 2015 08:07:23 +0100

flint (2.4.5-1) experimental; urgency=medium

  [ Julien Puydt ]
  * New upstream release.

  [ Anton Gladky ]
  * Set Standards-Version:3.9.6. No changes.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 17 Feb 2015 17:01:15 +0100

flint (2.4.4-2) unstable; urgency=medium

  [ Julien Puydt ]
  * Added a patch to support NTL >= 6.2 (forwarded upstream).

  [ Tobias Hansen ]
  * Add --parallel to dh command.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 26 Aug 2014 23:58:19 +0200

flint (2.4.4-1) unstable; urgency=medium

  [ Felix Salfelder ]
  * New upstream release (Closes: #592349, #743009, #558855).
  * Redo packaging, migrating from cdbs to dh.

  [ Julien Puydt ]
  * Consensual package takeover from Tim Abbott into the Debian Science Team.
  * Rewrote d/copyright.
  * Don't use the patches of the two NMUs (they don't apply to current code).
  * Added a patch to handle both GMP < 6 and >= 6.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 12 Aug 2014 22:23:22 +0200

flint (1.011-2.2) unstable; urgency=low

  * NMU: apply patch for build problem on mips (Closes: #665719)
         (patch from Dejan Latinovic)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Nov 2013 18:43:41 +0100

flint (1.011-2.1) unstable; urgency=low

  * NMU: Fix the inline ASM for ARM to specify .arm mode, so it works
    correctly when compiling with -mthumb-interwork (Closes: #652205)

 -- Adam Conrad <adconrad@debian.org>  Mon, 25 Jun 2012 18:43:41 -0600

flint (1.011-2) unstable; urgency=low

  * Add a prototype for __gmpn_udiv_w_sdiv when it is needed
  (Closes: #499877).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 23 Sep 2008 21:13:54 -0400

flint (1.011-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.0.
  * Enable the new NTL interface.

 -- Tim Abbott <tabbott@mit.edu>  Thu, 10 Jul 2008 15:02:31 -0400

flint (1.06-2) unstable; urgency=low

  * Improve copyright file to mention other contributors.
  * Set priority to optional.
  * Improve description.

 -- Tim Abbott <tabbott@mit.edu>  Tue, 17 Jun 2008 16:14:49 -0400

flint (1.06-1) unstable; urgency=low

  * Initial release (Closes: #480087).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 30 May 2008 00:34:12 -0400
